aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorschnetter <schnetter@fb53df36-e548-4a1e-8150-ab98cbd5e786>2009-09-28 18:20:45 +0000
committerschnetter <schnetter@fb53df36-e548-4a1e-8150-ab98cbd5e786>2009-09-28 18:20:45 +0000
commit28f6c3f2c12d3229e83eb6620a2f5bc6cfd7a15f (patch)
tree0eb41c7c5d8db5c6f2f3e5313851b7a5cfb59465
parent0771e01ba6bf63e9c89c2707069dca4dffd58ec1 (diff)
Add thorn containing the HDF5 library
git-svn-id: http://svn.cactuscode.org/projects/ExternalLibraries/HDF5/trunk@2 fb53df36-e548-4a1e-8150-ab98cbd5e786
-rw-r--r--HDF5.sh85
-rw-r--r--README21
-rw-r--r--configuration.ccl8
-rw-r--r--dist/hdf5-1.8.3.tar.gzbin0 -> 7175884 bytes
-rw-r--r--interface.ccl3
-rw-r--r--param.ccl1
-rw-r--r--schedule.ccl1
-rw-r--r--src/make.code.defn7
8 files changed, 126 insertions, 0 deletions
diff --git a/HDF5.sh b/HDF5.sh
new file mode 100644
index 0000000..1f0f1f4
--- /dev/null
+++ b/HDF5.sh
@@ -0,0 +1,85 @@
+#! /bin/bash
+
+################################################################################
+# Prepare
+################################################################################
+
+# Set up shell
+set -x # Output commands
+set -e # Abort on errors
+
+# Set locations
+NAME=hdf5-1.8.3
+SRCDIR=$(dirname $0)
+INSTALL_DIR=${SCRATCH_BUILD}
+HDF5_DIR=${INSTALL_DIR}/${NAME}
+
+# Clean up environment
+unset LIBS
+
+
+
+################################################################################
+# Build
+################################################################################
+
+(
+ exec >&2 # Redirect stdout to stderr
+ set -x # Output commands
+ set -e # Abort on errors
+ cd ${INSTALL_DIR}
+ if [ -e done-${NAME} -a done-${NAME} -nt ${SRCDIR}/dist/${NAME}.tar.gz ]; then
+ echo "HDF5: The enclosed HDF5 library has already been built; doing nothing"
+ else
+ echo "HDF5: Building enclosed HDF5 library"
+
+ echo "HDF5: Unpacking archive..."
+ rm -rf build-${NAME}
+ mkdir build-${NAME}
+ pushd build-${NAME}
+ # Should we use gtar or tar?
+ TAR=$(gtar --help > /dev/null 2> /dev/null && echo gtar || echo tar)
+ ${TAR} xzf ${SRCDIR}/dist/${NAME}.tar.gz
+ popd
+
+ echo "HDF5: Configuring..."
+ rm -rf ${NAME}
+ mkdir ${NAME}
+ pushd build-${NAME}/${NAME}
+ ./configure --prefix=${HDF5_DIR}
+
+ echo "HDF5: Building..."
+ make
+
+ echo "HDF5: Installing..."
+ make install
+ popd
+
+ : > done-${NAME}
+ echo "HDF5: Done."
+ fi
+)
+
+
+
+################################################################################
+# Configure Cactus
+################################################################################
+
+# Set options
+HDF5_INC_DIRS="${HDF5_DIR}/include"
+HDF5_LIB_DIRS="${HDF5_DIR}/lib"
+HDF5_LIBS='hdf5'
+
+# Pass options to Cactus
+echo "BEGIN MAKE_DEFINITION"
+echo "HAVE_HDF5 = 1"
+echo "HDF5_DIR = ${HDF5_DIR}"
+echo "HDF5_INC_DIRS = ${HDF5_INC_DIRS}"
+echo "HDF5_LIB_DIRS = ${HDF5_LIB_DIRS}"
+echo "HDF5_LIBS = ${HDF5_LIBS}"
+echo "END MAKE_DEFINITION"
+
+echo 'INCLUDE_DIRECTORY $(HDF5_INC_DIRS)'
+echo 'LIBRARY_DIRECTORY $(HDF5_LIB_DIRS)'
+echo 'LIBRARY $(HDF5_LIBS)'
diff --git a/README b/README
new file mode 100644
index 0000000..37463cc
--- /dev/null
+++ b/README
@@ -0,0 +1,21 @@
+Cactus Code Thorn HDF5
+Author(s) : Erik Schnetter
+Maintainer(s): Cactus team
+Licence : ?
+--------------------------------------------------------------------------
+
+1. Purpose
+
+Distribute the HDF5 library; see <http://www.hdfgroup.org/HDF5/>.
+
+
+
+From the web site:
+
+HDF5 is a data model, library, and file format for storing and
+managing data. It supports an unlimited variety of datatypes, and is
+designed for flexible and efficient I/O and for high volume and
+complex data. HDF5 is portable and is extensible, allowing
+applications to evolve in their use of HDF5. The HDF5 Technology
+suite includes tools and applications for managing, manipulating,
+viewing, and analyzing data in the HDF5 format.
diff --git a/configuration.ccl b/configuration.ccl
new file mode 100644
index 0000000..0a87b9b
--- /dev/null
+++ b/configuration.ccl
@@ -0,0 +1,8 @@
+# Configuration definitions for thorn HDF5
+# $Header$
+
+PROVIDES HDF5
+{
+ SCRIPT HDF5.sh
+ LANG bash
+}
diff --git a/dist/hdf5-1.8.3.tar.gz b/dist/hdf5-1.8.3.tar.gz
new file mode 100644
index 0000000..8ff102d
--- /dev/null
+++ b/dist/hdf5-1.8.3.tar.gz
Binary files differ
diff --git a/interface.ccl b/interface.ccl
new file mode 100644
index 0000000..a7466e8
--- /dev/null
+++ b/interface.ccl
@@ -0,0 +1,3 @@
+# Interface definition for thorn HDF5
+
+IMPLEMENTS: HDF5
diff --git a/param.ccl b/param.ccl
new file mode 100644
index 0000000..679accc
--- /dev/null
+++ b/param.ccl
@@ -0,0 +1 @@
+# Parameter definitions for thorn HDF5
diff --git a/schedule.ccl b/schedule.ccl
new file mode 100644
index 0000000..942a2bd
--- /dev/null
+++ b/schedule.ccl
@@ -0,0 +1 @@
+# Schedule definitions for thorn HDF5
diff --git a/src/make.code.defn b/src/make.code.defn
new file mode 100644
index 0000000..35076f6
--- /dev/null
+++ b/src/make.code.defn
@@ -0,0 +1,7 @@
+# Main make.code.defn file for thorn HDF5
+
+# Source files in this directory
+SRCS =
+
+# Subdirectories containing source files
+SUBDIRS =